put
https://app.fracttal.com/api/work_requests/
This API allows you to update the status of a work request created in Fracttal.
The statuses a request can be changed to are:
- Open
- In Process
- Solved without WO
- Cancelled
- Rejected
And a request's status can only be changed if it is currently in one of the following statuses:
- Open
- In Process
- Rejected
- Deleted from Pending Tasks (only towards Solved without WO, Cancelled or Rejected)
Input parameters
The following fields must be sent to update the status of a work request:
| Parameter | Type | Required | Description |
|---|---|---|---|
code | String | Yes | Request number. Can be looked up here. (field id) |
user_code | String | Yes | Code of the user updating the request. It is the code of the human resource or third party associated with the account. |
id_status | Number | Yes | Status number to which the request should be changed: 1 : Open 2 : In process 4 : Solved without WO 5 : Cancelled 12 : Rejected |
notes | String | Optional | Notes about the status change |
Example:
Request: (PUT)https://app.fracttal.com/api/work_requests/56
{
"user_code": "JCDIAZ",
"id_status": 4,
"notes": "WR STATUS CHANGE"
}{
"success": true,
"message": "200",
"data": [
{
"SUCCESS": "WORK_REQUESTS_UPDATED"
}
],
"total": 0
}Example — transition from "Deleted from Pending Tasks":
Request: (PUT)https://app.fracttal.com/api/work_requests/3884
{
"user_code": "MTA1991",
"id_status": 4,
"notes": "WR STATUS CHANGE FROM DELETE_TASK_TODO"
}{
"success": true,
"message": "200",
"data": [
{
"SUCCESS": "WORK_REQUESTS_UPDATED"
}
],
"total": 1
}OpenAPI definition
{
"openapi": "3.1.0",
"info": {
"title": "requests",
"version": "2-En"
},
"servers": [
{
"url": "https://app.fracttal.com/api/work_requests"
}
],
"security": [
{}
],
"paths": {
"/{code}": {
"put": {
"summary": "Update the status of a request",
"description": "",
"operationId": "update-the-status-of-a-request",
"deprecated": false,
"security": []
}
}
},
"x-readme": {
"headers": [],
"explorer-enabled": false,
"proxy-enabled": true
},
"x-readme-fauxas": true
}